/*************************************************************************
* Dixit - Copyright (C) 2004-2010 Octavian Procopiuc                     *
* Contact: <oprocopiuc@sourceforge.net>                                  *
* Homepage: <http://dixit.sourceforge.net>                               *
*                                                                        *
* This program is free software: you can redistribute it and/or modify   *
* it under the terms of the GNU General Public License as published by   *
* the Free Software Foundation, either version 3 of the License, or      *
* (at your option) any later version.                                    *
*                                                                        *
* This program is distributed in the hope that it will be useful,        *
* but WITHOUT ANY WARRANTY; without even the implied warranty of         *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
* GNU General Public License for more details.                           *
*                                                                        *
* You should have received a copy of the GNU General Public License      *
* along with this program.  If not, see <http://www.gnu.org/licenses/>.  *
*                                                                        *
* FILENAME       : dixit.h                                               *
* REVISION       : 2                                                     *
* COMMENTARY     : Various constants used by Dixit Qt4                   *
*************************************************************************/

#ifndef DIXIT_H_                                   /* duplication check */
#define DIXIT_H_

const QString VERSION = "Dixit/10.4.4"; // %1 in USER_AGENT
const QString APP_GROUP = "Dictionaries";
const QString APP_KEY = "Dixit";
const QString DEFAULT_SERVER_NAME = "dexonline.ro";
const QString DB_FILE_NAME = "dixit.qdb";
const QString HTTP_GET_REQUEST = "/update.php?timestamp=%1&compress=gzip";
const QString USER_NEW_IMAGES_PATH = "resurse/";
const int     DICTIONARIES_COUNT = 27;
const int     DEFAULT_SERVER_PORT = 80;
const int     LAST_UPDATE_TIME_BASE = 0;
const int     MAX_DEFINITIONS_DISPLAYED = 200;
const int     MAX_HISTORY_SIZE = 100;
const char    *LAST_UPDATE_TIME_KEY = "<>";
const char    *UPDATE_ERRORS_STRING[] = {
"Nici o eroare",
"Programul nu se poate conecta la server",
"Programul a primit cod de eroare de la server",
"Programul nu poate citi din baza de date",
"Programul nu poate scrie în baza de date",
"Programul nu poate decoda datele primite de la server",
"Eroare în timpul transmisiei",
"Programul nu a primit toate datele (conexiunea s-a blocat)",
"Programul nu a primit toate datele ",
"Programul nu a primit toate datele (conexiunea a fost întreruptă)"
};

const char* const DICTIONARIES[DICTIONARIES_COUNT][3] = {
{"", "Toate sursele", "Toate sursele"},
{"DEX &#039;98", "DEX '98", "Dicționarul explicativ al limbii române (1998)"},
{"DEX &#039;96", "DEX '96", "Dicționarul explicativ al limbii române (1996)"},
{"DEX &#039;84", "DEX '84", "Dicționarul explicativ al limbii române (1984)"},
{"DEX &#039;75", "DEX '75", "Dicționarul explicativ al limbii române (1975)"},
{"DEX-S &#039;88", "DEX-S '88", "Dicționarul explicativ al limbii române - Supliment (1988)"},
{"Sinonime","Sinonime", "Dicționar de sinonime (2002)"},
{"Antonime", "Antonime", "Dicționar de antonime (2002)"},
{"Dic\310\233ionar ortografic","Dic\310\233ionar ortografic", "Dicționar ortografic al limbii române (2002)"},
{"NODEX","NODEX", "Noul dicționar explicativ al limbii române (2002)"},
{"DAR", "DAR", "Dicționar de arhaisme și regionalisme (2002)"},
{"DGE","DGE", "Dicționar gastronomic explicativ (2003)"},
{"DER", "DER",  "Dicționarul etimologic român (1958-1966)"},
{"DLRA", "DLRA", "Dicționar al limbii române actuale (1998)"},
{"DLRC", "DLRC", "Dicționarul limbii române contemporane (1980)"},
{"DLRM","DLRM", "Dicționarul limbii române moderne (1958)"},
{"DMLR","DMLR", "Dictionnaire morphologique de la langue roumaine (1981)"},
{"DN","DN", "Dicționarul de neologisme (1986)"},
{"DOOM","DOOM", "Dicționar ortografic, ortoepic și morfologic al limbii române, ediția a II-a, Editura Univers Enciclopedic, 2005"},
{"DOOM 2","DOOM 2", "Dicționar ortografic, ortoepic și morfologic al limbii române (1982)"},
{"MDA","MDA", "Micul dicționar academic (2002)"},
{"MDN","MDN", "Marele dicționar de neologisme (2000)"},
{"Neoficial","Neoficial", "Definiții trimise de utilizatorii de pe dexonline.ro"},
{"DLRLV","DLRLV", "Dicționarul limbii române literare vechi 1640-1780 (1987)"},
{"DLRLC","DLRLC", "Dicționarul limbii române literare contemporane (1955-1957)"},
{"DE","DE", "Dicționar enciclopedic (1993-2009)"},
{"Argou","Argou", "Dicționar de argou al limbii române, George Volceanov, Editura Niculescu, 2007"}
};

// The user agent string sent to the server. For statistics only.
#if defined(Q_OS_AIX)
const QString USER_AGENT = "%1 (AIX)";
#elif defined(Q_OS_BSD4)
const QString USER_AGENT = "%1 (BSD 4.4 system)";
#elif defined(Q_OS_BSDI)
const QString USER_AGENT = "%1 (BSD/OS)";
#elif defined(Q_OS_CYGWIN)
const QString USER_AGENT = "%1 (Cygwin)";
#elif defined(Q_OS_DARWIN)
const QString USER_AGENT = "%1 (Darwin OS)";
#elif defined(Q_OS_DGUX)
const QString USER_AGENT = "%1 (DG/UX)";
#elif defined(Q_OS_DYNIX)
const QString USER_AGENT = "%1 (DYNIX/ptx)";
#elif defined(Q_OS_FREEBSD)
const QString USER_AGENT = "%1 (FreeBSD)";
#elif defined(Q_OS_HPUX)
const QString USER_AGENT = "%1 (HP-UX)";
#elif defined(Q_OS_HURD)
const QString USER_AGENT = "%1 (GNU Hurd)";
#elif defined(Q_OS_IRIX)
const QString USER_AGENT = "%1 (SGI Irix)";
#elif defined(Q_OS_LINUX)
const QString USER_AGENT = "%1 (Linux)";
#elif defined(Q_OS_LYNX)
const QString USER_AGENT = "%1 (LynxOS)";
#elif defined(Q_OS_MAC)
const QString USER_AGENT = "%1 (Mac OS)";
#elif defined(Q_OS_MACX)
const QString USER_AGENT = "%1 (Mac OS X)";
#elif defined(Q_OS_MSDOS)
const QString USER_AGENT = "%1 (MS-DOS and Windows)";
#elif defined(Q_OS_NETBSD)
const QString USER_AGENT = "%1 (NetBSD)";
#elif defined(Q_OS_OS2)
const QString USER_AGENT = "%1 (OS/2)";
#elif defined(Q_OS_OPENBSD)
const QString USER_AGENT = "%1 (OpenBSD)";
#elif defined(Q_OS_OS2EMX)
const QString USER_AGENT = "%1 (XFree86 on OS/2 - not PM)";
#elif defined(Q_OS_OSF)
const QString USER_AGENT = "%1 (HP Tru64 UNIX)";
#elif defined(Q_OS_QNX6)
const QString USER_AGENT = "%1 (QNX RTP 6.1)";
#elif defined(Q_OS_QNX)
const QString USER_AGENT = "%1 (QNX)";
#elif defined(Q_OS_RELIANT)
const QString USER_AGENT = "%1 (Reliant UNIX)";
#elif defined(Q_OS_SCO)
const QString USER_AGENT = "%1 (SCO OpenServer 5)";
#elif defined(Q_OS_SOLARIS)
const QString USER_AGENT = "%1 (Sun Solaris)";
#elif defined(Q_OS_SYMBIAN)
const QString USER_AGENT = "%1 (Symbian)";
#elif defined(Q_OS_ULTRIX)
const QString USER_AGENT = "%1 (DEC Ultrix)";
#elif defined(Q_OS_UNIX)
const QString USER_AGENT = "%1 (UNIX BSD/SYSV)";
#elif defined(Q_OS_UNIXWARE)
const QString USER_AGENT = "%1 (UnixWare 7, Open UNIX 8)";
#elif defined(Q_OS_WIN32)
const QString USER_AGENT = "%1 (Win32)";
#elif defined(Q_OS_WIN64)
const QString USER_AGENT = "%1 (Win64)";
#elif defined(Q_OS_WINCE)
const QString USER_AGENT = "%1 (Windows CE)";
#elif defined(Q_WS_MAC)
const QString USER_AGENT = "%1 (Mac OS X)";
#elif defined(Q_WS_QWS)
const QString USER_AGENT = "%1 (Embedded Linux)";
#elif defined(Q_WS_X11)
const QString USER_AGENT = "%1 (X11)";
#elif defined(Q_WS_WIN)
const QString USER_AGENT = "%1 (Windows)";
#else
const QString USER_AGENT = "%1";
#endif

#endif                                               /* duplication check */

/* END OF FILE */


